io.vertx.rxjava.ext.web.handler

## Class JWTAuthHandler

- java.lang.Object
- - io.vertx.rxjava.ext.web.handler.JWTAuthHandler

- All Implemented Interfaces:
    Handler<RoutingContext>, AuthenticationHandler

      public class JWTAuthHandler
      extends Object
      implements AuthenticationHandler, Handler<RoutingContext>

  An auth handler that provides JWT Authentication support.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<JWTAuthHandler>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JWTAuthHandler(JWTAuthHandler delegate)`
    `JWTAuthHandler(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `authenticateHeader(RoutingContext context)` Returns
    `static JWTAuthHandler` | `create(JWTAuth authProvider)` Create a JWT auth handler
    `boolean` | `equals(Object o)`
    `JWTAuthHandler` | `getDelegate()`
    `void` | `handle(RoutingContext event)` Something has happened, so handle it.
    `int` | `hashCode()`
    `static JWTAuthHandler` | `newInstance(JWTAuthHandler arg)`
    `void` | `parseCredentials(RoutingContext context)` Parses the credentials from the request into a JsonObject.
    `void` | `parseCredentials(RoutingContext context, Handler<AsyncResult<Credentials>> handler)` Parses the credentials from the request into a JsonObject.
    `void` | `postAuthentication(RoutingContext ctx)` This method is called to perform any post authentication tasks, such as redirects.
    `Single<Credentials>` | `rxParseCredentials(RoutingContext context)` Parses the credentials from the request into a JsonObject.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface io.vertx.rxjava.ext.web.handler.AuthenticationHandler

      `newInstance`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<JWTAuthHandler> __TYPE_ARG

  - ### Constructor Detail

    - #### JWTAuthHandler

          public JWTAuthHandler(JWTAuthHandler delegate)

    - #### JWTAuthHandler

          public JWTAuthHandler(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public JWTAuthHandler getDelegate()

      Specified by:
        `getDelegate` in interface `AuthenticationHandler`

    - #### handle

          public void handle(RoutingContext event)

      Something has happened, so handle it.
      Specified by:
        `handle` in interface `Handler<RoutingContext>`
      Specified by:
        `handle` in interface `AuthenticationHandler`
      Parameters:
        `event` - the event to handle

    - #### authenticateHeader

          public String authenticateHeader(RoutingContext context)

      Returns
      Specified by:
        `authenticateHeader` in interface `AuthenticationHandler`
      Parameters:
        `context` -
      Returns:

    - #### postAuthentication

          public void postAuthentication(RoutingContext ctx)

      This method is called to perform any post authentication tasks, such as redirects. Overrides must call context.next() on success.
      Specified by:
        `postAuthentication` in interface `AuthenticationHandler`
      Parameters:
        `ctx` - the routing context

    - #### create

          public static JWTAuthHandler create(JWTAuth authProvider)

      Create a JWT auth handler
      Parameters:
        `authProvider` - the auth provider to use
      Returns:
        the auth handler

    - #### parseCredentials

          public void parseCredentials(RoutingContext context,
                                       Handler<AsyncResult<Credentials>> handler)

      Parses the credentials from the request into a JsonObject. The implementation should be able to extract the required info for the auth provider in the format the provider expects.
      Parameters:
        `context` - the routing context
        `handler` - the handler to be called once the information is available.

    - #### parseCredentials

          public void parseCredentials(RoutingContext context)

      Parses the credentials from the request into a JsonObject. The implementation should be able to extract the required info for the auth provider in the format the provider expects.
      Parameters:
        `context` - the routing context

    - #### rxParseCredentials

          public Single<Credentials> rxParseCredentials(RoutingContext context)

      Parses the credentials from the request into a JsonObject. The implementation should be able to extract the required info for the auth provider in the format the provider expects.
      Parameters:
        `context` - the routing context
      Returns:

    - #### newInstance

          public static JWTAuthHandler newInstance(JWTAuthHandler arg)

Copyright © 2021 Eclipse. All rights reserved.